<?php

function getHttpVars(){
	if(!empty($_POST)){
		foreach($_POST as $key=>$value){
			$httpvars[$key] = $value;
		}
	}
	if(!empty($_GET)){
		foreach($_GET as $key=>$value){
			$httpvars[$key] = $value;
		}
	}
	return $httpvars;
}


function fetchRss($url){
	include("Snoopy.class.php");
	$snoopy = new Snoopy; 
	$snoopy->fetch($url);
	$rss = $snoopy->results;
	return $rss;
}


function clientside($rss, $xsl, $color){
	$xml = new DOMDocument;
	$xml->loadXML($rss);

	$PI  = $xml->createProcessingInstruction('xml-stylesheet', 'href="' . $color . $xsl . '" type="text/xsl"');
	$rdf = $xml->getElementsByTagNameNS('http://www.w3.org/1999/02/22-rdf-syntax-ns#', 'RDF')->item(0); 
	$xml->insertBefore($PI, $rdf);

	return $xml->saveXML();
}


function serverside($rss, $xsl, $color){
	$xml = new DOMDocument;
	$xml->loadXML($rss);

	$xslt = new DOMDocument;
	$xslt->load($xsl);

	$proc = new XSLTProcessor;
	$proc->importStyleSheet($xslt); 
	$proc->setParameter(null, "css", $color);

	return $proc->transformToXML($xml);
}

?>
